---
updatedAt: 2026-07-08T18:20:11.000Z
agentTools:
  projectIndex: https://docs.checkhq.com/llms.txt
---

# Get a paper check

Returns a paper check for the specified contractor payment.

Use an `Accept: application/pdf` request header to download the paper check as a PDF document.

Paper checks are printed on the top one-third of the page with the bottom two-thirds reserved for the paystub.

Optionally pass a `payment_id` query parameter (`pyt_…`) to scope the printed check amount to a single net-pay-split payment instead of the full net pay. This is useful when reissuing one failed direct deposit as a paper check. The pay statement portion of the PDF still shows the full amount. The `payment_id` values are available on contractor pay statement responses under `net_pay_split.splits[].payment_id`.

Check supports the DLT159 check format. This format is the check-on-top custom check stock format and can be ordered online from Deluxe [here](https://www.deluxe.com/shopdeluxe/pd/laser-top-check-multi-purpose-7-5-voucher/_/A-DLT159). You may see ‘DLT 159’ listed in other websites as “Laser Top Check, Multi-Purpose 7.5 Voucher” checkstock, but be sure to match the design directly as it will impact the print alignment. Paper checks have residence address of the payee printed on them and are designed to fit in #9 Double Windowed Envelopes, which can be ordered [here](https://www.staples.com/universal-9-gummed-double-window-business-envelopes-3-7-8-x-8-7-8-white-500-box-unv36301/product_UNV36301).

Note that you can also associate the payroll item for your printed checks with their paper check number using the [update a contractor payment API](https://docs.checkhq.com/reference/update-a-contractor-payment).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "check-api",
    "version": "2025-01-01"
  },
  "servers": [
    {
      "url": "https://sandbox.checkhq.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "YOUR_API_KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/contractor_payments/{contractor_payment}/paper_check": {
      "get": {
        "summary": "Get a paper check",
        "description": "Returns a paper check for the specified contractor payment.\n\nUse an `Accept: application/pdf` request header to download the paper check as a PDF document.",
        "operationId": "get-a-paper-check-2",
        "parameters": [
          {
            "name": "contractor_payment",
            "in": "path",
            "description": "ID of the contractor payment to return",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Accept",
            "in": "header",
            "description": "application/pdf",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "payment_id",
            "in": "query",
            "description": "Optional ID of a single net-pay-split payment (`pyt_…`). When provided, the check amount is scoped to just that split's payment (e.g. to reissue one failed direct deposit) instead of the full net pay. Rejected unless that payment can be reissued (e.g. it already paid, is still in flight, or was reversed).",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "202": {
            "description": "202",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\"url\": \"string\"}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "url": {
                      "type": "string",
                      "example": "string"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```